From 42fe3115241d435f4d0ed221b7c16dde54f273f4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=EC=95=84=EB=A5=B4=ED=8E=98?= <ore@nrma.cc>
Date: Fri, 1 Dec 2023 11:44:24 +0900
Subject: [PATCH] fix: change header for not logged in users

just for not show any error message when exploring
---
 packages/frontend/src/pages/channels.vue | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/packages/frontend/src/pages/channels.vue b/packages/frontend/src/pages/channels.vue
index 58071dce5b..9c8ce892d3 100644
--- a/packages/frontend/src/pages/channels.vue
+++ b/packages/frontend/src/pages/channels.vue
@@ -5,7 +5,9 @@ SPDX-License-Identifier: AGPL-3.0-only
 
 <template>
 <MkStickyContainer>
-	<template #header><MkPageHeader v-model:tab="tab" :actions="headerActions" :tabs="headerTabs"/></template>
+	<template #header>
+		<MkPageHeader v-model:tab="tab" :actions="$i ? headerActions : null" :tabs="$i ? headerTabs : headerTabsWhenNotLogin" :displayMyAvatar="true"/>
+	</template>
 	<MkSpacer :contentMax="700">
 		<div v-if="tab === 'search'">
 			<div class="_gaps">
@@ -59,6 +61,7 @@ import MkRadios from '@/components/MkRadios.vue';
 import MkButton from '@/components/MkButton.vue';
 import MkFoldableSection from '@/components/MkFoldableSection.vue';
 import { useRouter } from '@/router.js';
+import { $i } from '@/account.js';
 import { definePageMetadata } from '@/scripts/page-metadata.js';
 import { i18n } from '@/i18n.js';
 
@@ -149,6 +152,16 @@ const headerTabs = $computed(() => [{
 	icon: 'ti ti-edit',
 }]);
 
+const headerTabsWhenNotLogin = $computed(() => [{
+	key: 'search',
+	title: i18n.ts.search,
+	icon: 'ti ti-search',
+}, {
+	key: 'featured',
+	title: i18n.ts._channel.featured,
+	icon: 'ti ti-comet',
+}]);
+
 definePageMetadata(computed(() => ({
 	title: i18n.ts.channel,
 	icon: 'ti ti-device-tv',
